using System.IO.Compression;
using System;
using System.IO;
using SharpCompress.Archives;
using SharpCompress.Common;
using SharpCompress.Readers;
using System.Diagnostics;
using CmlLib.Core;

namespace Plombir;

static public class Utils
{

    public static async Task<List<string>> GetAllMcVersions()
    {
        return await Task.Run(async () =>
        {
            var ln = new MinecraftLauncher();
            var result = new List<string>();
            foreach (var x in await ln.GetAllVersionsAsync())
            {
                result.Add(x.Name);
            }
            return result;
        });

    }



}
